#### get_associated_cancellation_slot (2 of 2 overloads)

Helper function to obtain an object's associated `cancellation_slot`.

    template<
        typename T,
        typename CancellationSlot>
    associated_cancellation_slot< T, CancellationSlot >::type get_associated_cancellation_slot(
        const T & t,
        const CancellationSlot & st);

###### Return Value

`associated_cancellation_slot<T, CancellationSlot>get(t, st)`